apiVersion: v1
kind: Service
metadata:
  name: todo-app-service
  annotations:
    cloud.google.com/app-protocols: '{"todo-app-https-port":"HTTPS","todo-app-http-port":"HTTP"}'
spec:
  type: NodePort
  selector:
      app: todo-app
  ports:
    - name: todo-app-https-port
      port: 443
      targetPort: todo-app-container-port
    - name: todo-app-http-port
      port: 80
      targetPort: todo-app-container-port
